Debian Bug report logs - #683810
ITP: yii-framework-php -- Yii is a high-performance PHP framework best for developing Web 2.0 applications

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Oliver Marks <oly@digitaloctave.com>

Date: Sat, 4 Aug 2012 09:21:02 UTC

Owned by: Oliver Marks <oly@digitaloctave.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#683810; Package yii-framework-php. (Sat, 04 Aug 2012 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Marks <oly@digitaloctave.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sat, 04 Aug 2012 09:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oliver Marks <oly@digitaloctave.com>
To: submit@bugs.debian.org
Subject: ITP: yii-framework-php -- Yii is a high-performance PHP framework best for developing Web 2.0 applications
Date: Sat, 04 Aug 2012 10:17:38 +0100
Package: yii-framework-php
Severity: wishlist
License : BSD
Description : Yii is a high-performance PHP framework best for 
developing Web 2.0 applications




Bug reassigned from package 'yii-framework-php' to 'wnpp'. Request was from Gergely Nagy <algernon@madhouse-project.org> to control@bugs.debian.org. (Sun, 05 Aug 2012 12:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683810; Package wnpp. (Sun, 05 Aug 2012 12:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 05 Aug 2012 12:15:07 GMT) Full text and rfc822 format available.

Message #12 received at 683810@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: Oliver Marks <oly@digitaloctave.com>
Cc: 683810@bugs.debian.org, Debian BTS control <control@bugs.debian.org>
Subject: Re: Bug#683810: ITP: yii-framework-php -- Yii is a high-performance PHP framework best for developing Web 2.0 applications
Date: Sun, 05 Aug 2012 14:06:56 +0200
reassign 683810 wnpp
thanks

Oliver Marks <oly@digitaloctave.com> writes:

> Package: yii-framework-php

When filing ITP bugs, please file it under the wnpp pseudo-package
(using reportbug greatly helps there, as it will do the right thing),
otherwise it won't show up in the WNPP listings.

I have reassigned your report there, but please try to do it properly
next time. Thanks!

> Severity: wishlist
> License : BSD
> Description : Yii is a high-performance PHP framework best for
> developing Web 2.0 applications

The description would need some work, though. As it is, it's completely
useless, doesn't tell a reader any useful information. It is also too
long for a short description, and too short for a long one. You may wish
to fix that before preparing the package for upload.

-- 
|8]



Owner recorded as Oliver Marks <oly@digitaloctave.com>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 05 Aug 2012 16:00:05 GMT) Full text and rfc822 format available.

Reply sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
You have taken responsibility. (Sun, 05 Aug 2012 19:30:09 GMT) Full text and rfc822 format available.

Notification sent to Oliver Marks <oly@digitaloctave.com>:
Bug acknowledged by developer. (Sun, 05 Aug 2012 19:30:09 GMT) Full text and rfc822 format available.

Message #19 received at 683810-done@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Oliver Marks <oly@digitaloctave.com>, 683810-done@bugs.debian.org
Cc: Gergely Nagy <algernon@madhouse-project.org>
Subject: Yii framework is already packaged and soon part of the archive
Date: Sun, 05 Aug 2012 19:19:40 +0000
[Message part 1 (text/plain, inline)]
Hi Algernon!

Thanks for housekeeping in WNPP. This time I close this ITP for two
reasons. It's already reported[1] and uploaded, in the NEW queue. If
everything goes well, it'll be accepted within some days.

Regards,
Laszlo/GCS
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597899
[2] http://ftp-master.debian.org/new/yii_1.1.11-1.html
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 19 Aug 2012 07:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>:
Bug#683810; Package wnpp. (Sat, 09 Feb 2013 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>. (Sat, 09 Feb 2013 19:51:05 GMT) Full text and rfc822 format available.

Message #26 received at 683810@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: 597899@bugs.debian.org, 683810@bugs.debian.org
Subject: Yii framework licensing issues
Date: Sat, 9 Feb 2013 19:50:13 +0000
Hello Yii ITPers,

I've been looking at Yii over the last week as it's part of some
software (limesurvey) that I'm looking to package.

I've just been through the framework with a toothcomb checking the
licensing, because there is so much stuff that originates from outside
of Yii.  To save you some effort, I include the relevant part of my
debian/copyright file below.

There are two non-free files included in Yii:

 * framework/web/widgets/captcha/Duality.ttf: the license (which was
   hard to locate!) does not permit modification of the alphabetic
   characters of the font.

 * framework/web/js/source/jquery.ajaxqueue.js is not licensed or
   attributed.

The former and the only references to it in
framework/web/widgets/captcha/CCaptchaAction.php could be replaced by
a free font, something like
/usr/share/fonts/truetype/aenigma/brigadom.ttf in the ttf-aenigma
package for example (which might be hard for robots to read but should
be OK for humans).

The latter requires more skill than I currently possess to ascertain
either how it could be replaced by a DFSG-free drop-in replacement or
if it could be removed without harming Yii.

Note that I have not listed or checked the following files as they are
not included within the limesurvey software:

framework/vendors/idna_convert/idna_convert.class.php
framework/web/js/source/jquery.history.js
framework/web/js/source/jui/css/base/jquery.ui.menu.css
framework/web/js/source/jui/css/base/jquery.ui.spinner.css
framework/web/js/source/jui/css/base/jquery.ui.tooltip.css
framework/web/js/source/punycode.js
framework/web/js/source/punycode.min.js

HTH,

   Julian

Files: framework/*
Copyright: 2008-2011 by Yii Software LLC (http://www.yiisoft.com)
License: BSD-3-clause
Comment: This directory contains the Yii PHP framework, some parts of
 which are licensed under different licenses, as detailed below.

Files: framework/web/js/source/jquery.js
 framework/web/js/source/jquery.min.js
Copyright: 2011 John Resig
License: MIT or GPL-2
Comment: jQuery 1.7.1

Files: framework/web/js/source/jui/*
Copyright: 2011, 
 Paul Bakaus <paul.bakaus@googlemail.com>,
 Richard Worth <rdworth@gmail.com>,
 Yehuda Katz <wycats@gmail.com>,
 Sean Catchpole <sean@sunsean.com>,
 John Resig <jeresig@gmail.com>,
 Tane Piper <piper.tane@gmail.com>,
 Dmitri Gaskin <dmitrig01@gmail.com>,
 Klaus Hartl <klaus.hartl@googlemail.com>,
 Stefan Petre <stefan.petre@gmail.com>,
 Gilles van den Hoven <gilles@webunity.nl>,
 Micheil Bryan Smith <micheil@brandedcode.com>,
 Jörn Zaefferer <joern.zaefferer@gmail.com>,
 Marc Grabanski <m@marcgrabanski.com>,
 Keith Wood <kbwood.au@gmail.com>,
 Brandon Aaron <brandon.aaron@gmail.com>,
 Scott González <scott.gonzalez@gmail.com>,
 Eduardo Lundgren <eduardolundgren@gmail.com>,
 Aaron Eisenberger <aaronchi@gmail.com>,
 Joan Piedra <theneojp@gmail.com>,
 Bruno Basto <b.basto@gmail.com>,
 Remy Sharp <remy@leftlogic.com>,
 Bohdan Ganicky <bohdan.ganicky@gmail.com>,
 David Bolter <david.bolter@gmail.com>,
 Chi Cheng <cloudream@gmail.com>,
 Ca-Phun Ung <pazu2k@gmail.com>,
 Ariel Flesler <aflesler@gmail.com>,
 Maggie Costello Wachs <fg.maggie@gmail.com>,
 Scott Jehl <scott@scottjehl.com>,
 Todd Parker <fg.todd@gmail.com>,
 Andrew Powell <powella@gmail.com>,
 Brant Burnett <btburnett3@gmail.com>,
 Douglas Neiner <doug@pixelgraphics.us>,
 Paul Irish <paul.irish@gmail.com>,
 Ralph Whitbeck <ralph.whitbeck@gmail.com>,
 Thibault Duplessis <thibault.duplessis@gmail.com>,
 Dominique Vincent <dominique.vincent@toitl.com>,
 Jack Hsu <jack.hsu@gmail.com>,
 Adam Sontag <ajpiano@ajpiano.com>,
 Carl Fürstenberg <carl@excito.com>,
 Kevin Dalman <development@allpro.net>,
 Alberto Fernández Capel <afcapel@gmail.com>,
 Jacek Jędrzejewski (http://jacek.jedrzejewski.name),
 Ting Kuei <ting@kuei.com>,
 Samuel Cormier-Iijima <sam@chide.it>,
 Jon Palmer <jonspalmer@gmail.com>,
 Ben Hollis <bhollis@amazon.com>,
 Justin MacCarthy <Justin@Rubystars.biz>,
 Eyal Kobrigo <kobrigo@hotmail.com>,
 Tiago Freire <tiago.freire@gmail.com>,
 Diego Tres <diegotres@gmail.com>,
 Holger Rüprich <holger@rueprich.de>,
 Ziling Zhao <zizhao@cisco.com>,
 Mike Alsup <malsup@gmail.com>,
 Robson Braga Araujo <robsonbraga@gmail.com>,
 Pierre-Henri Ausseil <ph.ausseil@gmail.com>,
 Christopher McCulloh <cmcculloh@gmail.com>,
 Andrew Newcomb <ext.github@preceptsoftware.co.uk>,
 Lim Chee Aun <cheeaun@gmail.com>,
 Jorge Barreiro <yortx.barry@gmail.com>,
 Daniel Steigerwald <daniel@steigerwald.cz>,
 John Firebaugh <john_firebaugh@bigfix.com>,
 John Enters <github@darkdark.net>,
 Andrey Kapitcyn <ru.m157y@gmail.com>,
 Dmitry Petrov <dpetroff@gmail.com>,
 Eric Hynds <eric@hynds.net>,
 Chairat Sunthornwiphat <pipo@sixhead.com>,
 Josh Varner <josh.varner@gmail.com>,
 Stéphane Raimbault <stephane.raimbault@gmail.com>,
 Jay Merrifield <fracmak@gmail.com>,
 J. Ryan Stinnett <jryans@gmail.com>,
 Peter Heiberg <peter@heiberg.se>,
 Alex Dovenmuehle <adovenmuehle@gmail.com>,
 Jamie Gegerson <git@jamiegegerson.com>,
 Raymond Schwartz <skeetergraphics@gmail.com>,
 Phillip Barnes <philbar@gmail.com>,
 Kyle Wilkinson <kai@wikyd.org>,
 Khaled AlHourani <me@khaledalhourani.com>,
 Marian Rudzynski <mr@impaled.org>,
 Jean-Francois Remy <jfremy@virtuoz.com>,
 Doug Blood <dougblood@gmail.com>,
 Filippo Cavallarin <filippo.cavallarin@codseq.it>,
 Heiko Henning <h.henning@educa.ch>,
 Aliaksandr Rahalevich <saksmlz@gmail.com>,
 Mario Visic <mario@mariovisic.com>,
 Xavi Ramirez <xavi.rmz@gmail.com>,
 Max Schnur <max.schnur@gmail.com>,
 Saji Nediyanchath <saji89@gmail.com>,
 Corey Frang <gnarf@gnarf.net>,
 Aaron Peterson <aaronp123@yahoo.com>,
 Ivan Peters <ivan@ivanpeters.com>,
 Mohamed Cherif Bouchelaghem <cherifbouchelaghem@yahoo.fr>,
 Marcos Sousa <falecomigo@marcossousa.com>,
 Michael DellaNoce <mdellanoce@mailtrust.com>,
 George Marshall <echosx@gmail.com>,
 Tobias Brunner <tobias@strongswan.org>,
 Martin Solli <msolli@gmail.com>,
 David Petersen <public@petersendidit.com>,
 Dan Heberden <danheberden@gmail.com>,
 William Kevin Manire <williamkmanire@gmail.com>,
 Gilmore Davidson <gilmoreorless@gmail.com>,
 Michael Wu <michaelmwu@gmail.com>,
 Adam Parod <mystic414@gmail.com>,
 Guillaume Gautreau <guillaume+github@ghusse.com>,
 Marcel Toele <EleotleCram@gmail.com>,
 Dan Streetman <ddstreet@ieee.org>,
 Matt Hoskins <furlined@cat-basket.org>,
 Giovanni Giacobbi <giovanni@giacobbi.net>,
 Kyle Florence <kyle.florence@gmail.com>,
 Pavol Hluchý <lopo@losys.sk>,
 Hans Hillen <hans.hillen@gmail.com>,
 Mark Johnson <virgofx@live.com>,
 Trey Hunner <treyhunner@gmail.com>,
 Shane Whittet <whittet@gmail.com>,
 Edward A Faulkner <ef@alum.mit.edu>,
 Adam Baratz <adam@adambaratz.com>,
 Kato Kazuyoshi <kato.kazuyoshi@gmail.com>,
 Eike Send <eike.send@gmail.com>,
 Kris Borchers <kris.borchers@gmail.com>,
 Eddie Monge <eddie@eddiemonge.com>,
 Israel Tsadok <itsadok@gmail.com>,
 Carson McDonald <carson@ioncannon.net>,
 Jason Davies <jason@jasondavies.com>,
 Garrison Locke <gplocke@gmail.com>,
 David Murdoch <musicisair@yahoo.com>,
 Benjamin Scott Boyle <benjamins.boyle@gmail.com>,
 Jesse Baird <jebaird@gmail.com>,
 Jonathan Vingiano <jvingiano@gmail.com>,
 Dylan Just <dev@ephox.com>,
 Hiroshi Tomita <tomykaira@gmail.com>,
 Glenn Goodrich <glenn.goodrich@gmail.com>,
 Tarafder Ashek-E-Elahi <mail.ashek@gmail.com>,
 Ryan Neufeld <ryan@neufeldmail.com>,
 Marc Neuwirth <marc.neuwirth@gmail.com>,
 Philip Graham <philip.robert.graham@gmail.com>,
 Benjamin Sterling <benjamin.sterling@kenzomedia.com>,
 Wesley Walser <waw325@gmail.com>,
 Kouhei Sutou <kou@clear-code.com>,
 Karl Kirch <karlkrch@gmail.com>,
 Chris Kelly <ckdake@ckdake.com>,
 Jay Oster <jay@loyalize.com>,
 Alexander Polomoshnov <alex.polomoshnov@gmail.com>,
 David Leal <dgleal@gmail.com>,
 Igor Milla <igor.fsp.milla@gmail.com>,
 Dave Methvin <dave.methvin@gmail.com>,
 Florian Gutmann <f.gutmann@chronimo.com>,
 Marwan Al Jubeh <marwan.aljubeh@gmail.com>,
 Milan Broum <midlis@googlemail.com>,
 Sebastian Sauer <info@dynpages.de>,
 Gaëtan Muller <m.gaetan89@gmail.com>,
 Michel Weimerskirch <michel@weimerskirch.net>,
 William Griffiths <william@ycymro.com>,
 Stojce Slavkovski <stojce@gmail.com>,
 David Soms <david.soms@gmail.com>,
 David De Sloovere <david.desloovere@hotmail.com>,
 Michael P. Jung <michael.jung@terreon.de>,
 Shannon Pekary <spekary@gmail.com>,
 Matthew Edward Hutton <meh@corefiling.co.uk>,
 James Khoury <james@jameskhoury.com>,
 Rob Loach <robloach@gmail.com>,
 Alberto Monteiro <betimbrasil@gmail.com>,
 Alex Rhea <alex.rhea@gmail.com>,
 Krzysztof Rosiński <rozwell69@gmail.com>,
 Ryan Olton <oltonr@gmail.com>,
 Genie <386@mail.com>,
 Rick Waldron <waldron.rick@gmail.com>,
 Ian Simpson <spoonlikesham@gmail.com>,
 Lev Kitsis <spam4lev@gmail.com>,
 Ted VanToll <tj.vantoll@gmail.com>,
 Justin Domnitz <jdomnitz@gmail.com>,
 Douglas Cerna <douglascerna@yahoo.com>,
 Bert ter Heide <bertjh@hotmail.com>,
 Jasvir Nagra <jasvir@gmail.com>,
 Petr Hromadko <yuriy@tokyoscale.com>,
 Harri Kilpiö <harri.kilpio@gmail.com>,
 Lado Lomidze <lado.lomidze@gmail.com>,
 Amir E. Aharoni <amir.aharoni@mail.huji.ac.il>,
 Simon Sattes <simon.sattes@gmail.com>,
 Jo Liss <joliss42@gmail.com>,
 Guntupalli Karunakar <karunakarg@yahoo.com>,
 Shahyar Ghobadpour <shahyar@gmail.com>,
 Lukasz Lipinski <uzza17@gmail.com>,
 Timo Tijhof <krinklemail@gmail.com>,
 Jason Moon <jmoon@socialcast.com>,
 Martin Frost <martinf55@hotmail.com>,
 Eneko Illarramendi <eneko@illarra.com>,
 EungJun Yi <semtlenori@gmail.com>,
 Courtland Allen <courtlandallen@gmail.com>,
 Viktar Varvanovich <non4eg@gmail.com>,
 Danny Trunk <dtrunk90@gmail.com>,
 Pavel Stetina <pavel.stetina@nangu.tv>,
 Michael Stay <metaweta@gmail.com>,
 Steven Roussey <sroussey@gmail.com>,
 Michael Hollis <hollis21@gmail.com>,
 Lee Rowlands <lee.rowlands@previousnext.com.au>,
 Timmy Willison <timmywillisn@gmail.com>,
 Karl Swedberg <kswedberg@gmail.com>,
 Baoju Yuan <the_guy_1987@hotmail.com>,
 Maciej Mroziński <mrozik87@gmail.com>,
 Luis Dalmolin <luis.nh@gmail.com>,
 Mark Aaron Shirley <maspwr@gmail.com>,
 Martin Hoch <martin@fidion.de>,
 Jiayi Yang <tr870829@gmail.com>,
 Philipp Benjamin Köppchen <xgxtpbk@gws.ms>,
 Sindre Sorhus <sindresorhus@gmail.com>,
 Bernhard Sirlinger <bernhard.sirlinger@tele2.de>,
 Jared A. Scheel <jared@jaredscheel.com>,
 Rafael Xavier de Souza <rxaviers@gmail.com>,
 John Chen <zhang.z.chen@intel.com>,
 Dale Kocian <dale.kocian@gmail.com>,
 Mike Sherov <mike.sherov@gmail.com>,
 Andrew Couch <andy@couchand.com>,
 Marc-Andre Lafortune <github@marc-andre.ca>,
 Nate Eagle <nate.eagle@teamaol.com>,
 David Souther <davidsouther@gmail.com>,
 Mathias Stenbom <mathias@stenbom.com>,
 Avinash R <nashpapa@gmail.com>,
 Sergey Kartashov <ebishkek@yandex.ru>,
 Ethan Romba <ethanromba@gmail.com>,
 Cory Gackenheimer <cory.gack@gmail.com>,
 Juan Pablo Kaniefsky <jpkaniefsky@gmail.com>,
 Roman Salnikov <bardt.dz@gmail.com>,
 Anika Henke <anika@selfthinker.org>,
 Samuel Bovée <samycookie2000@yahoo.fr>,
 Fabrício Matté <ult_combo@hotmail.com>,
 Viktor Kojouharov <vkojouharov@gmail.com>,
 Pawel Maruszczyk <lord_t@o2.pl>,
 Pavel Selitskas <p.selitskas@gmail.com>,
 Bjørn Johansen <bjorn.johansen@metronet.no>,
 Matthieu Penant <thieum22@hotmail.com>,
 Dominic Barnes <dominic@dbarnes.info>
License: Expat or GPL-2
Comment: jQuery UI 1.8.17

Files: framework/web/js/source/jquery.ba-bbq.*
Copyright: 2010 "Cowboy" Ben Alman
License: MIT or GPL-2
Comment: jQuery BBQ Plugin 1.2.1

Files: framework/web/js/source/jquery.autocomplete.js
 framwork/web/js/source/autocomplete/*
Copyright: 2009 Jörn Zaefferer
License: Expat or GPL-3
Comment: jQuery Autocomplete 1.1; file says "Dual licensed under the MIT
 and GPL licenses" but only gives a URI for the GPL; the URI currently
 points to version 3 of the GPL.

Files: framework/web/js/source/jquery.maskedinput.*
Copyright: 2007-2011 Josh Bush (digitalbush.com)
License: Expat
Comment: jQuery Masked Input 1.3

Files: framework/web/js/source/jquery.multifile.js
Copyright: 2008 Fyneworks.com
License: Expat or GPL-2
Comment: jQuery Multi File Upload 1.47; file says "Dual licensed under the MIT
 and GPL licenses" but only gives a URI for the GPL; the webpage points to
 version 2 of the GPL.

Files: framework/web/js/source/jquery.treeview.*
 framework/web/js/source/treeview/*
Copyright: 2007 Jörn Zaefferer
License: Expat or GPL-2
Comment: jQuery TreeView 1.4.1; file says "Dual licensed under the MIT
 and GPL licenses" but only gives a URI for the GPL; the webpage points to
 version 2 of the GPL.  The latest version in the source repository is
 now only licensed under the MIT Expat license.

Files: framework/web/js/source/jquery.rating.js
 framework/web/js/source/rating/*
Copyright: 2008 Fyneworks.com
License: Expat or GPL-2
Comment: jQuery Star Rating 3.13; file says "Dual licensed under the MIT
 and GPL licenses" but only gives a URI for the GPL; the webpage points to
 version 2 of the GPL.

Files: framework/web/helpers/CJSON.php
Copyright: 2005 Michal Migurski
License: BSD-2-clause
Comment: PEAR JSON

Files: framework/i18n/data/*
Copyright: 1991-2007 Unicode, Inc.; 2008-2011 Yii Software LLC
License: Unicode and BSD-3-clause
Comment: Unicode CLDR Data 1.6, converted into PHP files

Files: framework/vendors/TextHighlighter/*
Copyright: 2004-2006 Andrey Demenev
License: PHP-3.0
Comment: Text_Highlighter - Generic Syntax Highlighter (v0.7.0 beta)

Files: framework/i18n/gettext/CGettextMoFile.php
Copyright: 2004-2005, Michael Wallner <mike@iworks.at>;
 2008-2011 Yii Software LLC
License: BSD-2-clause and BSD-3-clause
Comment: Adapted from PEAR Gettext (v0.4.1 beta)

Files: framework/vendors/htmlpurifier/*
Copyright: 2006-2008 Edward Z. Yang
License: LGPL-2.1+
Comment: HTML Purifier (v4.4.0)

Files: framework/vendors/markdown
Copyright: 2004-2008 Michel Fortin, 2004-2006 John Gruber
License: BSD-3-clause-markdown
Comment: PHP Markdown Extra (v1.2.5)

Files: framework/web/js/source/jquery.bgiframe.js
Copyright: 2010 Brandon Aaron (http://brandonaaron.net)
License: Expat
Comment: Bgiframe.js plugin (v2.1.2)

Files: framework/web/js/source/jquery.cookie.js
Copyright: 2006 Klaus Hartl (stilbuero.de)
License: License: Expat or GPL-3
Comment: jQuery Cookie plugin, pre-version 1.1; file says "Dual licensed
 under the MIT and GPL licenses" but only gives a URI for the GPL (which
 points to GPL v3).
 The latest version in the source repository is now only licensed under
 the MIT Expat license.

Files: framework/web/js/source/jquery.metadata.js
Copyright: 2006 John Resig, Yehuda Katz, Jörn Zaefferer, Paul McLanahan
License: Expat or GPL-3
Comment: jQuery Metadata plugin; file says "Dual licensed
 under the MIT and GPL licenses" but only gives a URI for the GPL (which
 points to GPL v3).  This plugin appears to be abandoned upstream and no
 longer available, so there is little hope of clarifying this.

Files: framework/utils/CTimestamp.php
Copyright: 2008-2011 Yii Software LLC; 2000, 2001, 2002, 2003, 2004 John Lim
License: BSD-3-clause, and BSD-3-clause-adodb or LGPL-2.1


License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of version 2 of GNU General Public License as published
 by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License with
 the Debian GNU/Linux distribution in file /usr/share/common-licenses/GPL-2;
 if not, write to the Free Software Foundation, Inc., 51 Franklin St,
 Fifth Floor, Boston, MA 02110-1301, USA.
 .
 On Debian systems, the complete text of the GNU General Public
 License, version 2, can be found in /usr/share/common-licenses/GPL-2.

License: GPL-2+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 or later of the License.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License with
 the Debian GNU/Linux distribution in file /usr/share/common-licenses/GPL-2;
 if not, write to the Free Software Foundation, Inc., 51 Franklin St,
 Fifth Floor, Boston, MA 02110-1301, USA.
 .
 On Debian systems, the complete text of the GNU General Public
 License, version 2, can be found in /usr/share/common-licenses/GPL-2.

License: GPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU General Public
 License, version 3, can be found in /usr/share/common-licenses/GPL-3.

License: LGPL-2.1
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation,
 version 2.1 of the License.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 MA 02110-1301 USA
 .
 On Debian systems, the complete text of the Lesser GNU General Public
 License, can be found in /usr/share/common-licenses/LGPL-2.1.

License: LGPL-2.1+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 MA 02110-1301 USA
 .
 On Debian systems, the complete text of the Lesser GNU General Public
 License, can be found in /usr/share/common-licenses/LGPL-2.1.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.
  * Neither the name of Yii Software LLC nor the names of its
    contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.

License: BSD-3-clause-markdown
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 .
 * Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.
 .
 * Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
 .
 * Neither the name "Markdown" nor the names of its contributors may
   be used to endorse or promote products derived from this software
   without specific prior written permission.
 .
 This software is provided by the copyright holders and contributors "as
 is" and any express or implied warranties, including, but not limited
 to, the implied warranties of merchantability and fitness for a
 particular purpose are disclaimed. In no event shall the copyright owner
 or contributors be liable for any direct, indirect, incidental, special,
 exemplary, or consequential damages (including, but not limited to,
 procurement of substitute goods or services; loss of use, data, or
 profits; or business interruption) however caused and on any theory of
 liability, whether in contract, strict liability, or tort (including
 negligence or otherwise) arising in any way out of the use of this
 software, even if advised of the possibility of such damage.

License: BSD-3-clause-adodb
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 .
 Redistributions of source code must retain the above copyright notice,
 this list of conditions and the following disclaimer.
 .
 Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
 documentation and/or other materials provided with the distribution.
 .
 Neither the name of the John Lim nor the names of its contributors may
 be used to endorse or promote products derived from this software
 without specific prior written permission.
 .
 DISCLAIMER:
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL JOHN LIM OR
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 .
 Redistributions of source code must retain the above copyright notice,
 this list of conditions and the following disclaimer.
 .
 Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
 documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED [BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS]
 ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS
 BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: PHP-3.0
 -------------------------------------------------------------------- 
                   The PHP License, version 3.0
 Copyright (c) 1999 - 2006 The PHP Group. All rights reserved.
 -------------------------------------------------------------------- 
 .
 Redistribution and use in source and binary forms, with or without
 modification, is permitted provided that the following conditions
 are met:
 .
   1. Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
 .
   2. Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in
      the documentation and/or other materials provided with the
      distribution.
 .
   3. The name "PHP" must not be used to endorse or promote products
      derived from this software without prior written permission. For
      written permission, please contact group@php.net.
 . 
   4. Products derived from this software may not be called "PHP", nor
      may "PHP" appear in their name, without prior written permission
      from group@php.net.  You may indicate that your software works in
      conjunction with PHP by saying "Foo for PHP" instead of calling
      it "PHP Foo" or "phpfoo"
 .
   5. The PHP Group may publish revised and/or new versions of the
      license from time to time. Each version will be given a
      distinguishing version number.
      Once covered code has been published under a particular version
      of the license, you may always continue to use it under the terms
      of that version. You may also choose to use such covered code
      under the terms of any subsequent version of the license
      published by the PHP Group. No one other than the PHP Group has
      the right to modify the terms applicable to covered code created
      under this License.
 .
   6. Redistributions of any form whatsoever must retain the following
      acknowledgment:
      "This product includes PHP, freely available from
      <http://www.php.net/>".
 .
 THIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND 
 ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE PHP
 DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining
 a copy of this software and associated documentation files (the
 "Software"), to deal in the Software without restriction, including
 without limitation the rights to use, copy, modify, merge, publish,
 distribute, sublicense, and/or sell copies of the Software, and to
 permit persons to whom the Software is furnished to do so, subject to
 the following conditions:
 .
 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

License: Unicode
 Permission is hereby granted, free of charge, to any person obtaining
 a copy of the Unicode data files and any associated documentation
 (the "Data Files") or Unicode software and any associated documentation
 (the "Software") to deal in the Data Files or Software without
 restriction, including without limitation the rights to use, copy,
 modify, merge, publish, distribute, and/or sell copies of the Data
 Files or Software, and to permit persons to whom the Data Files or
 Software are furnished to do so, provided that (a) the above copyright
 notice(s) and this permission notice appear with all copies of the
 Data Files or Software, (b) both the above copyright notice(s) and
 this permission notice appear in associated documentation, and (c)
 there is clear notice in each modified Data File or in the Software
 as well as in the documentation associated with the Data File(s) or
 Software that the data or software has been modified.
 .
 THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY
 OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE
 COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR
 ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY
 DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE
 DATA FILES OR SOFTWARE.
 .
 Except as contained in this notice, the name of a copyright holder
 shall not be used in advertising or otherwise to promote the sale,
 use or other dealings in these Data Files or Software without prior
 written authorization of the copyright holder.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>:
Bug#683810; Package wnpp. (Mon, 27 May 2013 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kimjr <kimjr300@live.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>. (Mon, 27 May 2013 09:39:03 GMT) Full text and rfc822 format available.

Message #31 received at 683810@bugs.debian.org (full text, mbox):

From: kimjr <kimjr300@live.com>
To: undisclosed-recipients:;
Subject: Re: 18 Months Project?
Date: Mon, 27 May 2013 09:53:02 +0100
[Message part 1 (text/plain, inline)]
 

-- 
I have an offer business to discuss with you. Please let me know
if this email is valid.
KimJ.
 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>:
Bug#683810; Package wnpp. (Sun, 02 Mar 2014 14:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>. (Sun, 02 Mar 2014 14:39:08 GMT) Full text and rfc822 format available.

Message #36 received at 683810@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 683810@bugs.debian.org, 597899@bugs.debian.org, Julian Gilbey <jdg@debian.org>, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>, Oliver Marks <oly@digitaloctave.com>
Subject: yii-framework in Debian?
Date: Sun, 2 Mar 2014 15:30:17 +0100
Hi Laszlo, Oliver,

I wondered what the status of yii-framework in Debian is, as I am (as 
Julian) interested in having limesurvey in Debian, which uses yii.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>:
Bug#683810; Package wnpp. (Tue, 04 Mar 2014 15:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>. (Tue, 04 Mar 2014 15:57:11 GMT) Full text and rfc822 format available.

Message #41 received at 683810@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.hu>
To: Evgeni Golov <evgeni@debian.org>, 597899@bugs.debian.org
Cc: 683810@bugs.debian.org, Julian Gilbey <jdg@debian.org>, Oliver Marks <oly@digitaloctave.com>
Subject: Re: Bug#597899: yii-framework in Debian?
Date: Tue, 4 Mar 2014 16:53:33 +0100
Hi Evgeni,

On Sun, Mar 2, 2014 at 3:30 PM, Evgeni Golov <evgeni@debian.org> wrote:
> I wondered what the status of yii-framework in Debian is, as I am (as
> Julian) interested in having limesurvey in Debian, which uses yii.
 I've a package of 1.1.13, but can't remember how good is it. I think
I was waiting for the release of 2.0 , which is still just an alpha.
If I give you the package, can you test it with limesurvey?

Laszlo/GCS



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>:
Bug#683810; Package wnpp. (Tue, 04 Mar 2014 16:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>. (Tue, 04 Mar 2014 16:00:07 GMT) Full text and rfc822 format available.

Message #46 received at 683810@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: László Böszörményi (GCS) <gcs@debian.hu>
Cc: 597899@bugs.debian.org, 683810@bugs.debian.org, Julian Gilbey <jdg@debian.org>, Oliver Marks <oly@digitaloctave.com>
Subject: Re: Bug#597899: yii-framework in Debian?
Date: Tue, 4 Mar 2014 16:56:20 +0100
On Tue, Mar 04, 2014 at 04:53:33PM +0100, László Böszörményi (GCS) wrote:
> > I wondered what the status of yii-framework in Debian is, as I am (as
> > Julian) interested in having limesurvey in Debian, which uses yii.
>  I've a package of 1.1.13, but can't remember how good is it. I think
> I was waiting for the release of 2.0 , which is still just an alpha.
> If I give you the package, can you test it with limesurvey?

Sure, gimme!

-- 
Bruce Schneier can read and understand Perl programs.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>:
Bug#683810; Package wnpp. (Tue, 04 Mar 2014 17:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oliver Marks <oly@digitaloctave.com>. (Tue, 04 Mar 2014 17:21:08 GMT) Full text and rfc822 format available.

Message #51 received at 683810@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.hu>
To: Evgeni Golov <evgeni@debian.org>
Cc: 597899@bugs.debian.org, 683810@bugs.debian.org, Julian Gilbey <jdg@debian.org>, Oliver Marks <oly@digitaloctave.com>
Subject: Re: Bug#597899: yii-framework in Debian?
Date: Tue, 4 Mar 2014 18:16:44 +0100
On Tue, Mar 4, 2014 at 4:56 PM, Evgeni Golov <evgeni@debian.org> wrote:
> On Tue, Mar 04, 2014 at 04:53:33PM +0100, László Böszörményi (GCS) wrote:
>> If I give you the package, can you test it with limesurvey?
> Sure, gimme!
 Highly untested[1], but updated to the latest 1.1.x release.

Laszlo/GCS
[1] dget -x http://www.barcikacomp.hu/gcs/yii_1.1.14-1.dsc



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:05:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.